html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}
.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}

button[data-subscription-typename] {
    color: black;
    border: none;
    padding: 7px;
}

button[data-subscription-typename][data-subscription-type="4"] {
    color: white;
    background-color: purple;
}

button[data-subscription-typename][data-subscription-type="3"] {
    color: white;
    background-color: gold;
}

button[data-subscription-typename][data-subscription-type="2"] {
    color: white;
    background-color: silver;
}

button[data-subscription-typename][data-subscription-type="1"] {
    color: white;
    background-color: saddlebrown;
}

button[data-subscription-typename][data-subscription-type="0"] {
    color: white;
    background-color: gray;
}

/*.cell-content {
    padding: 10px;
    margin-top: 20px !important;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    min-width: 100% !important;
    max-width: 100%;

    img {
        max-width: 32px;
    }
}
*/
table.table {
    border: solid 1px lightgray;
    border-radius: 15px !important;
    border-collapse: collapse !important;
}

.badge
{
    padding: 10px 20px 10px 20px;
}

#pointsOfInterestTable {
    width: 100% !important;
}

#pointsOfInterestTable thead th:nth-child(1) {
    width: auto;
}
/* Regione/Provincia */
#pointsOfInterestTable thead th:nth-child(2) {
    width: 80px;
}
/* Gold */
#pointsOfInterestTable thead th:nth-child(3) {
    width: 80px;
}
/* Silver */
#pointsOfInterestTable thead th:nth-child(4) {
    width: 80px;
}
/* Bronze */
#pointsOfInterestTable thead th:nth-child(5) {
    width: 80px;
}

.delete-subscription-on-modal {
    background-color: darkred;
    padding: 5px 10px 5px 10px;
}

.delete-subscription-on-modal img {
    height: 18px;
    width: 18px;
}

.edit-subscription-on-modal {
    background-color: #4073FF;
    padding: 5px 10px 5px 10px;
}

.edit-subscription-on-modal img {
    height: 18px;
    width: 18px;
}

.add-subscription-on-modal img {
    height: 30px;
    width: 30px;
}

.add-subscription-on-ncc img {
    height: 30px;
    width: 30px;
}

.edit-subscription-on-modal:hover {
    background-color: #4073FF;
}

.delete-subscription-on-modal:hover {
    background-color: darkred;
}

.subscription-point-reference{
    height: 10px;
    width: 10px;
    border-radius: 20px;
}


#regionsAccordion .accordion-button {
    width: 50% !important;
    padding: 5px 20px 5px 20px;
}
.accordion-body {
    padding: 5px 0px 5px 5px;
}
.accordion-header.d-flex{
    padding: 5px 0px 5px 5px;
}
.accordion-button:not(.collapsed) {
    background-color: white !important;
    box-shadow: none !important;
}
/*.accordion-body li{
    border: 0px;
    box-shadow: silver 1px 1px 1px 1px inset;
}*/
#subscriptionModal, #pointOfInterestModal {
    .modal-dialog {
        max-width: 1500px;
    }
}

#subscriptionsInfoModal {
    .modal-dialog {
        max-width: 1500px;
    }
}

#subscriptionModal {
    .modal-dialog {
        max-width: 1500px;
    }


    .form-label {
        margin-bottom: 0px !important;
    }

    @media (min-width: 768px) {
        .modal-body {
            height: 700px;
        }
    }
}
.accordion-button.no-collapse::after {
    display: none;
}

#regionsAccordion .accordion-item{
    border-radius: 0px !important;
}
#regionsAccordion .region-header-item {
    border-radius: 10px !important;
    margin-bottom: 10px;
    border-top: 1px solid #dee2e6;
    /*         border-top-left-radius: 0; 
         border-top-right-radius: 0; */
    /*border-top: none;*/
}
#regionsAccordion .accordion-item:nth-child(2) {
    border-top: 1px solid #dee2e6;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

#poiAccordion {
    .region-checkbox {
        margin: 0px 20px 0px 20px;
    }

    .province-checkbox {
        margin: 0px 20px 0px 20px;
    }

    .accordion-button {
        padding: 5px;
    }
}

.accordion-button:focus{
    box-shadow: none !important;
}